%define major 1
%define libname	%mklibname cdson %{major}
%define devname	%mklibname cdson -d

Name: libcdson
Version: 1.0.0
Release: %mkrel 1
Summary: Pure C parsing/serialization for the DSON data format, for humans
License: MPL-2.0
Group: Development/C
URL: https://github.com/frozencemetery/cdson
Source0: https://github.com/frozencemetery/cdson/releases/download/v%{version}/cdson-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: git-core
BuildRequires: meson

Patch0001: 0001-tests-fix-build-on-legacy-32-bit-machines.patch
Patch0002: 0002-build-version-the-shared-objects.patch

%global desc \
A pure C parsing and serialization library for the DSON data serialization \
format, for humans. cdson is believed to have complete spec coverage, though \
as with any project, there may still be bugs. \
%{nil}
%description %{desc}

%package -n %{libname}
Summary: Pure C parsing/serialization for the DSON data format, for humans
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Provides: %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
%desc

%package -n %{devname}
Summary: Development headers for libcdson
Group: Development/C
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n %{devname}
%desc

%prep
%autosetup -S git_am -n cdson-%{version}

%build
CFLAGS="%{build_cflags} -Wno-error=unused-result"
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libcdson.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/cdson.h
%{_libdir}/pkgconfig/cdson.pc
%{_libdir}/libcdson.so



%changelog
* Sat Nov 25 2023 wally <wally> 1.0.0-1.mga10
+ Revision: 2009664
- mageiafy .spec
- imported package libcdson


* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jan 16 2023 Robbie Harwood <rharwood@redhat.com> - 1.0.0-3
- Packaging changes for Fedora review

* Sat Jan 14 2023 Robbie Harwood <rharwood@redhat.com> - 1.0.0-2
- Add 32-bit support.  In 2023.

* Thu Jun 09 2022 Robbie Harwood <rharwood@redhat.com> - 1.0.0-1
- Initial import to COPR (1.0.0)
